    createCompositionPre_comp_2 = function()
    
        local compositionPre_comp_2 = CreateCompositionSequence();
        local compositionDuration = 3.95833333333333;
        compositionPre_comp_2:SetDuration(compositionDuration);
    
    
        -- Layer Layer_1
        local element = createCompositionvolna_png_Comp_1();
        element:SetName("Layer_1");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionPre_comp_2);
        element:SetScaleX(0.54);
        element:SetScaleY(0.54);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.08333333333333, 4.04166666666667);
    
        effector:SetKey(_TRACK_X, 2.16666666666667, 380);
        effector:SetKey(_TRACK_Y, 2.16666666666667, 336);
        effector:SetKey(_TRACK_X, 3.875, 374.5);
        effector:SetKey(_TRACK_Y, 3.875, 324);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = createCompositionvolna_png_Comp_1();
        element:SetName("Layer_2");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionPre_comp_2);
        element:SetScaleX(0.8);
        element:SetScaleY(0.8);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.25, 3.20833333333333);
    
        effector:SetKey(_TRACK_X, 1.29166666666667, 397);
        effector:SetKey(_TRACK_Y, 1.29166666666667, 370);
        effector:SetKey(_TRACK_X, 2, 391);
        effector:SetKey(_TRACK_Y, 2, 377);
        effector:SetKey(_TRACK_X, 3.08333333333333, 386);
        effector:SetKey(_TRACK_Y, 3.08333333333333, 368);
    
        effector:Play();
    
    
        -- Layer Layer_3
        local element = createCompositionvolna_png_Comp_1();
        element:SetName("Layer_3");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionPre_comp_2);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.95833333333333);
    
        effector:SetKey(_TRACK_X, 0, 493.5);
        effector:SetKey(_TRACK_Y, 0, 387);
        effector:SetKey(_TRACK_X, 1.875, 493.5);
        effector:SetKey(_TRACK_Y, 1.875, 407);
    
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/cloud1.png");
        element:SetName("Layer_4");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(151.5, 49);
        compositionPre_comp_2:RegisterParentInfo("Layer_4", "Layer_8");
        element:SetScaleX(0.45214521452145);
        element:SetScaleY(1.30578755273262);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 95.3140563964844);
        effector:SetKey(_TRACK_Y, 0, 55.3329590477335);
        effector:SetKey(_TRACK_X, 1.95833333333333, 95.3140563964844);
        effector:SetKey(_TRACK_Y, 1.95833333333333, 48.8040212840704);
        effector:SetKey(_TRACK_X, 3.875, 95.3140563964844);
        effector:SetKey(_TRACK_Y, 3.875, 55.3329590477335);
    
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/cloud2.png");
        element:SetName("Layer_5");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(58, 30.5);
        compositionPre_comp_2:RegisterParentInfo("Layer_5", "Layer_8");
        element:SetScaleX(1);
        element:SetScaleY(1.30578755273262);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 46.3140563964844);
        effector:SetKey(_TRACK_Y, 0, 108.87024870977);
        effector:SetKey(_TRACK_X, 1.95833333333333, 46.3140563964844);
        effector:SetKey(_TRACK_Y, 1.95833333333333, 102.341310946107);
        effector:SetKey(_TRACK_X, 3.875, 46.3140563964844);
        effector:SetKey(_TRACK_Y, 3.875, 108.87024870977);
    
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/cloud3.png");
        element:SetName("Layer_6");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(56, 26);
        compositionPre_comp_2:RegisterParentInfo("Layer_6", "Layer_8");
        element:SetScaleX(1);
        element:SetScaleY(1.30578755273262);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 113.314056396484);
        effector:SetKey(_TRACK_Y, 0, 150.655450397216);
        effector:SetKey(_TRACK_X, 1.95833333333333, 113.314056396484);
        effector:SetKey(_TRACK_Y, 1.95833333333333, 144.126512633553);
        effector:SetKey(_TRACK_X, 3.875, 113.314056396484);
        effector:SetKey(_TRACK_Y, 3.875, 150.655450397216);
    
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/sea.png");
        element:SetName("Layer_7");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(214, 34);
        compositionPre_comp_2:RegisterParentInfo("Layer_7", "Layer_8");
        element:SetXY(163.487503051758, 182.74593266067);
    
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_SX, 0, 1);
        effector:SetKey(_TRACK_SY, 0, 0.82107997051387);
        effector:SetKey(_TRACK_SX, 1.95833333333333, 1);
        effector:SetKey(_TRACK_SY, 1.95833333333333, 0.89612523216517);
        effector:SetKey(_TRACK_SX, 3.875, 1);
        effector:SetKey(_TRACK_SY, 3.875, 0.82107997051387);
    
        effector:Play();
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/sky.jpg");
        element:SetName("Layer_8");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(265, 182.5);
        element:SetParentElement(compositionPre_comp_2);
        element:SetScaleX(1);
        element:SetScaleY(0.76582136037926);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 455.685943603516);
        effector:SetKey(_TRACK_Y, 0, 271.431671142578);
        effector:SetKey(_TRACK_X, 1.95833333333333, 455.685943603516);
        effector:SetKey(_TRACK_Y, 1.95833333333333, 285.424776678111);
        effector:SetKey(_TRACK_X, 3.875, 455.685943603516);
        effector:SetKey(_TRACK_Y, 3.875, 271.431671142578);
    
        effector:Play();
    
        compositionPre_comp_2:Play();
    
        return compositionPre_comp_2;
    end
    
    createCompositionvolna_png_Comp_1 = function()
    
        local compositionvolna_png_Comp_1 = CreateCompositionSequence();
        local compositionDuration = 3.95833333333333;
        compositionvolna_png_Comp_1:SetDuration(compositionDuration);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/volna.png");
        element:SetName("Layer_1");
        compositionvolna_png_Comp_1:AddElement(element);
        element:SetHotSpot(103.5, -1);
        element:SetParentElement(compositionvolna_png_Comp_1);
        element:SetAngle(0.06294875518289);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 332);
        effector:SetKey(_TRACK_Y, 0, 304.739549694588);
        effector:SetKey(_TRACK_X, 1.91666666666667, 321);
        effector:SetKey(_TRACK_Y, 1.91666666666667, 306.739549694588);
        effector:SetKey(_TRACK_SX, 0, 0.41585805988095);
        effector:SetKey(_TRACK_SY, 0, 0.39614960528354);
        effector:SetKey(_TRACK_SX, 1.91666666666667, 0.46363558833149);
        effector:SetKey(_TRACK_SY, 1.91666666666667, 0.486120091993);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.79166666666667, 1);
        effector:SetKey(_TRACK_O, 1.875, 0);
    
        effector:Play();
    
        compositionvolna_png_Comp_1:Play();
    
        return compositionvolna_png_Comp_1;
    end
    
    createCompositionyahta1_good_fon = function()
    
        local compositionyahta1_good_fon = CreateCompositionSequence();
        local compositionDuration = 3.91666666666667;
        compositionyahta1_good_fon:SetDuration(compositionDuration);
    
        -- Layer Layer_5
        local element = createCompositionPre_comp_2();
        element:SetName("Layer_5");
        compositionyahta1_good_fon:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionyahta1_good_fon);
        element:SetXY(512, 384);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.91666666666667);
        effector:Play();
  
        compositionyahta1_good_fon:Play();
    
        return compositionyahta1_good_fon;
    end
    
    createComposition_chayka_1 = function()
        local element = createCompositionchayka()
        element:SetName("Layer_2");
        element:SetDuration(2.375)
        element:SetHotSpot(417, 453);
        element:SetScaleX(0.33333333333333);
        element:SetScaleY(0.33333333333333);
        element:SetAngle(0);
        element:SetOpacity(1);
        element:SetDestroysOnEnd(false)
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
        effector:SetKey(_TRACK_X, 0, 132.728973388672);
        effector:SetKey(_TRACK_Y, 0, 285.345794677734);
        effector:SetKey(_TRACK_X, 2.375, 452.392532348633);
        effector:SetKey(_TRACK_Y, 2.375, 304.616821289063);
    
        effector:Play();
        
        return element;
    end
    
    createComposition_chayka_2 = function()
        local element = createCompositionchayka()
        element:SetName("Layer_3")
        element:SetDuration(3.5)
        element:SetHotSpot(417, 453)
        element:SetScaleX(-0.173333)
        element:SetScaleY(0.17333317333317)
        element:SetOpacity(1)
        element:SetDestroysOnEnd(false)
    
        effector = element:GetEffector()
        effector:SetLifeTime(0.54166666666667, 60.5416666666667)
    
        effector:SetKey(_TRACK_X, 1.54166666666667, 391.121490478516)
        effector:SetKey(_TRACK_Y, 1.54166666666667, 150.168228149414)
        effector:SetKey(_TRACK_X, 2.5, 261.925247192383)
        effector:SetKey(_TRACK_Y, 2.5, 305.682250976563)
        effector:SetKey(_TRACK_X, 3.5, 169.813095092773)
        effector:SetKey(_TRACK_Y, 3.5, 176.485992431641)
        effector:SetKey(_TRACK_A, 1.54166666666667, -0.52802399615852)
        effector:SetKey(_TRACK_A, 2.70833333333333, 0.38859496221676)
    
        effector:Play()
        
		element:SetClippingRect(199, 142, 214, 244)
		
        return element
    end
    
    createComposition_chayka_3 = function()
        local element = createCompositionchayka();
        element:SetName("Layer_4");
        element:SetDuration(3.79166666666667);
        element:SetHotSpot(417, 453);
        element:SetScaleX(0.09333308);
        element:SetScaleY(0.09333317333317);
        element:SetAngle(0.27620965302441);
        element:SetOpacity(1);
        element:SetDestroysOnEnd(false);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.83333333333333, 60.8333333333333);
    
        effector:SetKey(_TRACK_X, 1.83333333333333, 169.813095092773);
        effector:SetKey(_TRACK_Y, 1.83333333333333, 186.056076049805);
        effector:SetKey(_TRACK_X, 3.79166666666667, 391.551422119141);
        effector:SetKey(_TRACK_Y, 3.79166666666667, 242.0654296875);
    
        effector:Play();
        
        return element;
    end
    
    createComposition_maska = function()
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/1_booth_/Animation/sea/mask.png");
        element:SetName("Layer_1");
        element:SetHotSpot(291., 223.);
        element:SetXY(310., 323.);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 60);
    
    
        effector:Play();
        
        return element;
    end
    